Bug 861280 - KDE Crashes or Hangs After Moving Konqueror Window Quickly
KDE Crashes or Hangs After Moving Konqueror Window Quickly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
RejectedBlocker
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 00:34 EDT by Adam Joseph Cook
Modified: 2016-08-01 07:26 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 11:27:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
glxinfo output (24.27 KB, text/plain)
2012-09-28 00:34 EDT, Adam Joseph Cook
no flags Details

  None (edit)
Description Adam Joseph Cook 2012-09-28 00:34:49 EDT
Created attachment 618401 [details]
glxinfo output

Description of problem:
Tested for Fedora 18 Nouveau Test Day.

KDE crashes or the system hangs (requires a hard reboot) if windows are moved too quickly (less than a second across the screen). This happens especially on moving Konqueror around. During the first incident, KDE crashed and exited back to the GDM (but the mouse cursor would not move). The second incident, hung the system. This issue is not present when moving around regular KDE windows (file manager, system settings...etc.). OpenGL rendering is enabled. Woobly Windows and Blur are enabled.

Version-Release number of selected component (if applicable):

kde-workspace-4.9.1-6.fc18.x86_64
kde-printer-applet-4.9.1-1.fc18.noarch
kdegraphics-strigi-analyzer-4.9.1-1.fc18.x86_64
spherical-cow-backgrounds-kde-17.92.0-1.fc18.noarch
kde-plasma-networkmanagement-pptp-0.9.0.4-1.fc18.x86_64
kde-settings-4.9-9.fc18.noarch
kde-settings-plasma-4.9-9.fc18.noarch
kdelibs-4.9.1-4.fc18.x86_64
kde-runtime-4.9.1-1.fc18.x86_64
polkit-kde-0.99.0-5.fc18.x86_64
kdeplasma-addons-libs-4.9.1-1.fc18.x86_64
kdepimlibs-4.9.1-3.fc18.x86_64
kde-runtime-libs-4.9.1-1.fc18.x86_64
kdegames-libs-4.9.1-1.fc18.x86_64
kdeplasma-addons-4.9.1-1.fc18.x86_64
kdeaccessibility-4.9.1-1.fc18.noarch
spherical-cow-kde-theme-17.91.1-1.fc18.noarch
kdepimlibs-akonadi-4.9.1-3.fc18.x86_64
kde-baseapps-libs-4.9.1-2.fc18.x86_64
kde-plasma-networkmanagement-libs-0.9.0.4-1.fc18.x86_64
kde-settings-pulseaudio-4.9-9.fc18.noarch
kde-runtime-flags-4.9.1-1.fc18.noarch
pykde4-4.9.1-1.fc18.x86_64
kde-baseapps-4.9.1-2.fc18.x86_64
kde-plasma-networkmanagement-0.9.0.4-1.fc18.x86_64
xsettings-kde-0.12.3-4.fc18.x86_64
kde-filesystem-4-40.fc18.x86_64
kdenetwork-kget-libs-4.9.1-1.fc18.x86_64
kde-workspace-libs-4.9.1-6.fc18.x86_64
kde-plasma-networkmanagement-openconnect-0.9.0.4-1.fc18.x86_64
system-config-printer-kde-4.9.1-1.fc18.x86_64
kdegraphics-thumbnailers-4.9.1-1.fc18.x86_64
kdenetwork-common-4.9.1-1.fc18.noarch
kde-settings-ksplash-4.9-9.fc18.noarch
kdenetwork-kget-4.9.1-1.fc18.x86_64
kde-plasma-networkmanagement-openvpn-0.9.0.4-1.fc18.x86_64
kde-plasma-networkmanagement-vpnc-0.9.0.4-1.fc18.x86_64
lockdev-1.0.4-0.5.20111007git.fc18.x86_64
ktp-kded-integration-module-0.5.0-1.fc18.x86_64
kdelibs-common-4.9.1-4.fc18.x86_64
kde-settings-kdm-4.9-9.fc18.noarch
kdegames-minimal-4.9.1-1.fc18.x86_64
kdenetwork-kdnssd-4.9.1-1.fc18.x86_64

How reproducible:


Steps to Reproduce:
1. Logon to KDE Desktop, start Konqueror.
2. Drag Konqueror window back and forth quickly several times.
3. Konqueror window will either hang as a translucent window (as if it were still in motion) or simply crash the entire KDE desktop environment.
  
Actual results:

KDE crashes or hangs system.

Expected results:

Should be no restriction on speed to move windows.

Additional info:

Smolt Profile

General
=================================
UUID: 72c98b9a-af7d-4fec-bdd9-32b96ccc9fd9
OS: Fedora release 18 (Spherical Cow)
Default run level: Unknown
Language: Unknown
Platform: x86_64
BogoMIPS: 5424.96
CPU Vendor: AuthenticAMD
CPU Model: AMD Athlon(tm) II X2 215 Processor
CPU Stepping: 2
CPU Family: 16
CPU Model Num: 6
Number of CPUs: 2
CPU Speed: 2700
System Memory: 3682
System Swap: 3695
Vendor: HP-Pavilion
System: BK149AA-ABA s5414y 
Form factor: Desktop
Kernel: 3.6.0-0.rc7.git1.4.fc18.x86_64
SELinux Enabled: 1
SELinux Policy: targeted
SELinux Enforce: Enforcing
MythTV Remote: Unknown
MythTV Role: Unknown
MythTV Theme: Unknown
MythTV Plugin: 
MythTV Tuner: -1


Devices
=================================
(4318:1014:4156:10860) pci, sata_nv, STORAGE, MCP61 SATA Controller
(4318:1014:4156:10860) pci, sata_nv, STORAGE, MCP61 SATA Controller
(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
(4318:976:4156:10860) pci, nouveau, VIDEO, C61 [GeForce 6150SE nForce 430]
(4318:1000:4156:10860) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
(4318:1009:4156:10860) pci, ohci_hcd, USB, MCP61 USB 1.1 Controller
(4318:1010:4156:10860) pci, ehci_hcd, USB, MCP61 USB 2.0 Controller
(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
(4318:1001:4156:10860) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
(4318:1011:4156:10860) pci, None, PCI/PCI, MCP61 PCI bridge
(4318:1007:4156:10860) pci, forcedeth, BRIDGE, MCP61 Ethernet
(4318:1001:4156:10860) pci, pcieport, PCI/PCI, MCP61 PCI Express bridge
(4318:1002:4156:10860) pci, None, RAM, MCP61 Memory Controller
(4318:1008:4156:10860) pci, snd_hda_intel, MULTIMEDIA, MCP61 High Definition Audio
(4318:1013:4156:10860) pci, None, RAM, MCP61 Memory Controller
(4318:1003:4156:10860) pci, nForce2_smbus, SERIAL, MCP61 SMBus
(4318:992:4156:10860) pci, None, PCI/ISA, MCP61 LPC Bridge


Filesystem Information
=================================
device mtpt type bsize frsize blocks bfree bavail file ffree favail
-------------------------------------------------------------------
/dev/sdb3 / ext4 4096 4096 12901535 11015738 10360378 3276800 3036473 3036473
/dev/sdb1 /boot ext4 1024 1024 495844 392932 367332 128016 127660 127660
/dev/sdb5 /home ext4 4096 4096 226399232 226178109 214677681 57507840 57505303 57505303
Comment 1 Rex Dieter 2012-09-28 08:34:44 EDT
Thanks.

X freezing and crashing is almost certainly a driver bug, reassigning.
Comment 2 Tim Flink 2012-11-30 15:49:20 EST
How much hardware would be affected by this bug? Is this still happening or has it been fixed? Does it affect normal operation of either KDE or GNOME?
Comment 3 Jaroslav Reznik 2012-12-03 05:55:24 EST
Does this issue happen with composite support disabled (or with XRender)? Is it related to any composite effect enabled?
Comment 4 Paul Franklin (RHlists) 2012-12-17 11:10:15 EST
I have never tried to comment on a video bug but in my
opinion I am being hit by this defective driver too, in
F18-Final-TC2.

As far as I'm concerned I'd vote +1 for a blocker, or at least NTH.

I run GNOME not KDE and what I see is the windows and the
screen background not being repainted correctly when I
move the windows around.  (First I created a Terminal window
from the pull-down menu and then said "xterm &" in that one,
then used the mouse to move around both of those windows.  The
same action in Fedora 17 used to freeze F17, requiring a reboot.)

In my F18TC2 I get the right part of the screen turning black
and the upper-left names (Applications was it?) disappearing.

I don't know what you mean by "composite support" nor XRender
but if you can describe what you want me to try I can try it.

My one (DDC-enabled) monitor is plugged into a TNT64 card and
the onboard Intel VGA chip is ignored.  I can't easily copy and
paste but an "lspci | fgrep VGA" says (in part):

VGA compatible controller: Intel 82810E DC-133 chipset

VGA compatible controller: NVIDIA NV5M64 [RIVA TNT2 Model 64 / Model 64 Pro] (rev 15)
Comment 5 Adam Williamson 2012-12-17 23:49:08 EST
Paul: you have a completely different (and *ancient*, I mean seriously, is that thing steam powered?) graphics card. You are almost certainly seeing a different bug. Please file it separately.

I'm -1 blocker on this, looks like a single-system bug.
Comment 6 Paul Franklin (RHlists) 2012-12-18 13:10:48 EST
Adam, thank you for your suggestion.

I don't think I'll file another bug for this one, since
I don't seem to observe it when I boot with nouveau.noaccel=1

If I ever bother to file another video bug, it will be for a
problem I care much more about, namely an onboard ATI chip (in
a server with no AGP slot and all PCI slots in use) where even
booting into VESA doesn't work well, whether or not I use the
(provided) ati driver or manually download the mach64 driver.
Comment 7 Adam Williamson 2012-12-18 19:21:35 EST
paul: yeah, if noaccel works around it, I suspect the nouveau devs would not give it terribly high priority, given that it's such an old (and therefore now rare) card. (for the record, the Riva TNT2 came out in 1999, so your card is now likely 13 years old...send it to a museum :>)
Comment 8 Adam Williamson 2012-12-19 12:50:42 EST
Discussed at 2012-12-19 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt . Paul's case is clearly different from Adam's (different card, and he's running GNOME, and the symptoms aren't the same), so we have a single reporter here. We don't take single-system graphics bugs as blockers by policy, and this one in any case isn't a showstopper, so it's rejected as a blocker.
Comment 9 Martin 2013-06-11 12:46:44 EDT
Adam Joseph Cook, are you able to reproduce it on latest Fedora 18 or 19?
Comment 10 Fedora End Of Life 2013-12-21 03:58:39 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Martin 2014-01-02 11:27:15 EST
Needinfo in #9 is not answered, probably last NV4C user upgraded to newer GPU, closing.

Note You need to log in before you can comment on or make changes to this bug.